Subject: RE: Meeting in China
From: Info <[email-masked]>
To: Ahmad Negahban <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 25 Jul 2023 03:39:18 -0700

Dear Ahmed,

Thanks for the email we are waiting for our visa and as soon as receiving we will there.

Firstly please send the profile of the company and who we will met, their position and agenda of the meeting.

Appreciate your kind feed back.

Regards,
Elyas 

Sent from Mail for Windows

From: Ahmad Negahban
Sent: Tuesday, July 25, 2023 2:27 AM
To: Info
Subject: Re: Meeting in China

Hello Mr Niroumand,  
I am in China and I would like to know if you are planning to visit, I would like to discuss more about our business and introduce investors for LNG production and other products.

Best regards 
Ahmad Negahban 
Sent from my iPhone

On Jul 8, 2023, at 22:34, Info <[email-masked]> wrote:
 
Dear Sir,
 
Please advise how fast you can proceed then I will check with my boss and revert with passports.
 
Many thanks 
 
Sent from Mail for Windows
 
From: AL Negahban
Sent: Saturday, July 8, 2023 7:15 AM
To: Info
Subject: Re: Meeting in China
 
Please send me your passports and when are you planning to go.
 
Thanks

On Jul 8, 2023, at 17:23, Info <[email-masked]> wrote:
 
Dear Sir,
 
How much does it take for visa ?
 
Can you please arrange for fast visa and invitation.
 
Many thanks 
Commercial deprt 
 
Sent from Mail for Windows
 
From: AL Negahban
Sent: Wednesday, July 5, 2023 10:31 PM
To: [email-masked]
Subject: Meeting in China
 
Hello Mr Niroumand,
 
Can you please advise when will you planning to visit China so we can continue our conversation to develop business joint venture .
Please advise if you need any support to get the Visa.
 
Thanks
 
Ahmad Negahban